import TimedealList from "./timedealList.vue";
import TimedealListPc from "./timedealListPc.vue";

export default {
  title: "Timedeal List components",
};

export const timedealList = () => ({
  components: { TimedealList },
  template: "<timedeal-list v-bind='$props'></timedeal-list>",
  props: {
    cateCd: "",
    onTimedealListExist: null,
    isLogin: false,
  },
});
timedealList.args = {
  cateCd: "005010",
  onTimedealListExist: () => {
    console.log("timedealList exist");
  },
  isLogin: false,
};

export const timedealListPc = () => ({
  components: { TimedealListPc },
  template: "<timedeal-list-pc v-bind='$props'></timedeal-list-pc>",
  props: {
    cateCd: "",
    onTimedealListExist: null,
    isLogin: false,
  },
});
timedealListPc.args = {
  cateCd: "005010",
  onTimedealListExist: () => {
    console.log("timedealList exist");
  },
  isLogin: false,
};
