import First from "./components/firstComponent.vue";
import Second from "./components/secondComponent.vue";
import KakaoBanner from "./components/kakaoBanner.vue";
import SpecSummary from "./components/specSummary/specSummary.vue";
import SpecSummaryPc from "./components/specSummary/specSummaryPc.vue";
import ItemSummary from "./components/itemSummary/itemSummary.vue";
import ItemSummaryPc from "./components/itemSummary/itemSummaryPc.vue";
import TimedealTimer from "./components/timedealTimer.vue";
import ItemDetail from "./components/itemDetail.vue";
import TimedealList from "./components/timeDealList/timedealList.vue";
import TimedealListPc from "./components/timeDealList/timedealListPc.vue";
import BestItems from "./components/bestItems.vue";
import TestVideo from "./components/testVideo.vue";
import ReviewSummary from "./components/review/reviewSummary.vue";
import ReviewSummaryPc from "./components/review/reviewSummaryPc.vue";
import NsDealAd from "./components/nsDealAd.vue";
import ReviewAnalysisPage from "./components/reviewAnalysis/reviewAnalysisPage.vue";
import NsDealReviewIframe from "./components/nsDealReviewIframe.vue";
import NsSpecIframe from "./components/nsSpecIframe.vue";
import OrderPage from "./components/order/orderPage.vue";
import OrderSuccessPage from "./components/order/orderSuccessPage.vue";
import ExhibitionComponent from "./components/exhibition/exhibitionComponent.vue";
import ExhibitionPcComponent from "./components/exhibition/exhibitionPcComponent.vue";
import NosearchDeal from "./components/nosearchDeal/nosearchDeal.vue";
import NosearchDealPc from "./components/nosearchDeal/nosearchDealPc.vue";
import ReviewTem from "./components/reviewTem/reviewTem.vue";
import ReviewTemPc from "./components/reviewTem/reviewTemPc.vue";

const components = [
  First,
  Second,
  KakaoBanner,
  SpecSummary,
  SpecSummaryPc,
  ItemSummary,
  TimedealTimer,
  ItemDetail,
  TimedealList,
  TimedealListPc,
  BestItems,
  TestVideo,
  ReviewSummary,
  ReviewSummaryPc,
  NsDealAd,
  ReviewAnalysisPage,
  NsDealReviewIframe,
  NsSpecIframe,
  OrderPage,
  OrderSuccessPage,
  ExhibitionComponent,
  ExhibitionPcComponent,
  ItemSummaryPc,
  NosearchDeal,
  NosearchDealPc,
  ReviewTem,
  ReviewTemPc,
];

const install = function (Vue) {
  components.forEach((component) => {
    Vue.component(component.name, component);
  });
};

/* istanbul ignore if */
if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default {
  First,
  Second,
};
