import ExhibitionComponent from "./exhibitionComponent.vue";
import ExhibitionPcComponent from "./exhibitionPcComponent.vue";

export default {
  title: "Exhibition components",
};

export const exhibitionComponent = () => ({
  components: { ExhibitionComponent },
  template: "<exhibition-component v-bind='$props'></exhibition-component>",
  props: {
    cateCd: "",
  },
});
exhibitionComponent.args = {
  cateCd: "005019",
};

export const exhibitionPcComponent = () => ({
  components: { ExhibitionPcComponent },
  template:
    "<exhibition-pc-component v-bind='$props'></exhibition-pc-component>",
  props: {
    cateCd: "",
  },
});
exhibitionPcComponent.args = {
  cateCd: "005019",
};
