import NosearchDeal from "./nosearchDeal.vue";
import NosearchDealPc from "./nosearchDealPc.vue";

export default {
  title: "Nosearch Deal components",
};

export const nosearchDeal = () => ({
  components: { NosearchDeal },
  template: "<nosearch-deal v-bind='$props'></nosearch-deal>",
  props: {
    cateCd: "",
    onNsDealExist: null,
    isLogin: false,
  },
});
nosearchDeal.args = {
  cateCd: "005010",
  onNsDealExist: () => {
    console.log("nosearchDeal exist");
  },
  isLogin: false,
};

export const nosearchDealPc = () => ({
  components: { NosearchDealPc },
  template: "<nosearch-deal-pc v-bind='$props'></nosearch-deal-pc>",
  props: {
    cateCd: "",
    onNsDealExist: null,
    isLogin: false,
  },
});
nosearchDealPc.args = {
  cateCd: "005010",
  onNsDealExist: () => {
    console.log("nosearchDeal exist");
  },
  isLogin: false,
};
