import SpecSummary from "./specSummary.vue";
import SpecSummaryPc from "./specSummaryPc.vue";

export default {
  title: "Spec Summary components",
};

export const specSummary = () => ({
  components: { SpecSummary },
  props: { cateCd: "", goodsCd: "", goodsNo: "", goodsNm: "" },
  template: "<spec-summary v-bind='$props'></spec-summary>",
});
specSummary.args = {
  cateCd: "007001",
  goodsCd: "AP500",
  goodsNo: "100214124",
  goodsNm: "한일 아기바람 BLDC 선풍기 DCF-400R",
};

export const specSummaryPc = () => ({
  components: { SpecSummaryPc },
  props: { cateCd: "", goodsCd: "", goodsNo: "", goodsNm: "" },
  template: "<spec-summary-pc v-bind='$props'></spec-summary-pc>",
});
specSummaryPc.args = {
  cateCd: "007001",
  goodsCd: "AP500",
  goodsNo: "100214124",
  goodsNm: "한일 아기바람 BLDC 선풍기 DCF-400R",
};
